set(RESOURCES
    Resources/Test.qrc
    ${CMAKE_SOURCE_DIR}/resources/Database.qrc
    ${CMAKE_SOURCE_DIR}/resources/Resources.qrc
)

qt_add_resources(RESOURCES_RCC
    ${RESOURCES}
)

add_library(commontest
    DatabaseUtils.cpp
    DirectoryReaderMock.cpp
    FileSystemMock.cpp
    LibraryDatabaseProvider.cpp
    NotificationHandlerMock.cpp
    PlaylistMocks.h
    PlayManagerMock.h
    SayonaraTest.cpp
    TaggingMocks.cpp
    TestWebClientFactory.h
    ${RESOURCES_RCC}
)

target_link_libraries(commontest
    sayonara_components
    Qt6::Test
)
